# Summary

* [Read Me](README.md)
   * [Middleware](docs/middleware/README.md)
* [Introduction](docs/introduction/README.md)
   * [Motivation](docs/introduction/Motivation.md)
   * [Middleware primer](docs/introduction/MiddlewarePrimer.md)
   * [Folder structure](docs/introduction/FolderStructure.md)
   * [Coding standard](docs/introduction/CodingStandard.md)
* [Getting Started](docs/getting_started/README.md)
   * [Requirements](docs/getting_started/Requirements.md)
   * [Installation](docs/getting_started/Installation.md)
   * [Running "Hello World"](docs/getting_started/RunningHelloWorld.md)
   * [Build workflow and Live reload](docs/getting_started/BuildWorkflowLiveReload.md)
* [Extend and Override](docs/extend_and_override/README.md)
   * [Module loader](docs/extend_and_override/ModuleLoader.md)
   * [Using Plugins](docs/extend_and_override/UsingPlugins.md)
   * [Creating Plugins](docs/extend_and_override/CreatingPlugins.md)
* [Command-Line (CLI)](docs/command_line/README.md)
   * [Using the CLI](docs/command_line/UsingTheCLI.md)
   * [Creating custom commands](docs/command_line/CreatingCustomCommands.md)
* [App configuration](docs/app_configuration/README.md)
   * [App object](docs/app_configuration/AppObject.md)
   * [Configuration](docs/app_configuration/Configuration.md)
   * [Startup steps](docs/app_configuration/StartupSteps.md)
   * [Shutdown steps](docs/app_configuration/ShutdownSteps.md)
* [Logging](docs/logging/README.md)
   * [How to use](docs/logging/HotToUse.md)
   * [Sub-categories](docs/logging/SubCategories.md)
* [Events](docs/events/README.md)
* [Error handling](docs/error_handling/README.md)
   * [Built-in Error classes](docs/error_handling/BuiltInErrorClasses.md)
   * [Creating your own](docs/error_handling/CreatingYourOwn.md)
   * [Error middleware](docs/error_handling/ErrorMiddleware.md)
* [Routing](docs/routing/README.md)
   * [How to use](docs/routing/HowToUse.md)
   * [Generating URLs](docs/routing/GeneratingUrls.md)
* [Database and Models](docs/database_and_models/README.md)
   * [Database connection](docs/database_and_models/DatabaseConnection.md)
   * [Overview of models](docs/database_and_models/OverviewOfModels.md)
   * [Defining and using models](docs/database_and_models/DefiningAndUsingModels.md)
   * [Built-in models](docs/database_and_models/BuiltInModels.md)
   * [Reactive updates](docs/database_and_models/ReactiveUpdates.md)
* [Scaling](docs/scaling/README.md)
   * [Multi-process clustering](docs/scaling/MultiProcessClustering.md)
* [Best practices](docs/best_practices/README.md)

